Subject: Re: bug#50766: Regexp paren pairs in query-replace-regexp prompt should be highlighted

From: ndame <[email-masked]>
Date: Mon, 27 Sep 2021 13:16:41 +0000

>
> But doesn't it already have escape syntax? That's why (...) blinks and
> \(...\) doesn't blink, I'd have thought. (But I haven't tested it.)

Optimally, both should blink, but only for their fitting pairs.

So, \( does not match ), no blink, but it matches \), there should be a blink.
And vica versa for (.

> The problem is, though, that we do want \ to escape some things (like
> \[, which is the literal [ character), but the logic is the opposite

Even the literal character can have a matching \] part for which it should
blink, because it helps the user to see which literal \[ he closed.

So blinking should be able to handle escaped and non-escaped parens too and
pair them properly.